Qwt User's Guide: QwtArrowButton Class Reference

# QwtArrowButton Class Reference

Arrow Button. More...

`#include <qwt_arrow_button.h>`

List of all members.

## Public Member Functions
| QwtArrowButton (int num, Qt::ArrowType, QWidget *parent=NULL)
virtual | ~QwtArrowButton ()
Qt::ArrowType | arrowType () const
int | num () const
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)
virtual void | drawButtonLabel (QPainter *p)
virtual void | drawArrow (QPainter *, const QRect &, Qt::ArrowType) const
virtual QRect | labelRect () const
virtual QSize | arrowSize (Qt::ArrowType, const QSize &boundingSize) const
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

Arrow Button.

A push button with one or more filled triangles on its front. An Arrow button can have 1 to 3 arrows in a row, pointing up, down, left or right.

## Constructor & Destructor Documentation

QwtArrowButton::QwtArrowButton | ( | int | num,
|  | Qt::ArrowType | arrowType,
|  | QWidget * | parent = `NULL` |
| ) |  |  | `[explicit]`

Parameters:

  | num | Number of arrows
  | arrowType | see Qt::ArowType in the Qt docs.
  | parent | Parent widget

QwtArrowButton::~QwtArrowButton | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

QSize QwtArrowButton::arrowSize | ( | Qt::ArrowType | arrowType,
|  | const QSize & | boundingSize |
| ) |  |  | const`[protected, virtual]`

Calculate the size for a arrow that fits into a rect of a given size

Parameters:

  | arrowType | Arrow type
  | boundingSize | Bounding size

Returns:
  Size of the arrow

Qt::ArrowType QwtArrowButton::arrowType | ( |  | ) | const

The direction of the arrows.

void QwtArrowButton::drawArrow | ( | QPainter * | painter,
|  | const QRect & | r,
|  | Qt::ArrowType | arrowType |
| ) |  |  | const`[protected, virtual]`

Draw an arrow int a bounding rect

Parameters:

  | painter | Painter
  | r | Rectangle where to paint the arrow
  | arrowType | Arrow type

void QwtArrowButton::drawButtonLabel | ( | QPainter * | painter | ) | `[protected, virtual]`

Draw the button label.

Parameters:

  | painter | Painter

See also:
  The Qt Manual on QPushButton

void QwtArrowButton::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

autoRepeat for the space keys

QRect QwtArrowButton::labelRect | ( |  | ) | const`[protected, virtual]`

Returns:
  the bounding rect for the label

QSize QwtArrowButton::minimumSizeHint | ( |  | ) | const`[virtual]`

Return a minimum size hint.

int QwtArrowButton::num | ( |  | ) | const

The number of arrows.

void QwtArrowButton::paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Paint event handler

Parameters:

  | event | Paint event

QSize QwtArrowButton::sizeHint | ( |  | ) | const`[virtual]`

Returns:
  a size hint